﻿@model List<eCommerce.Services.Model.Lookbook>
@{
    ViewBag.Title = "Lookbooks";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de lookbooks</h1>
    <div class="page-header-actions">

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Lookbook/LookbookUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO LOOKBOOK</span>
            </button>
        </div>

        @*<div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
                <button type="button" class="btn btn-outline btn-success" onclick="window.location.href='/customers/ExportToExcel'">
                    <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                    <span class="hidden-xs">EXPORTAR A EXCEL</span>
                </button>
            </div>*@

    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_LookbookList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {


        });

        function fDelete(Id)
        {
            $.ajax({
                url: "/Lookbook/LookbookDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    swal("Eliminado!", "", "success");
                }
            });


        }

        function fDeleteDialog(lookbookId) {
            var LookbookId = lookbookId;
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(LookbookId);
                }
            });
        }
        //function fDeleteDialog(lookbookId) {

        //    debugger;
        //    var LookbookId = lookbookId;
        //    swal({
        //        title: "Confirma su acción de Eliminar?",
        //        buttons: {
        //            confirm: 'Sí, deseo elminarlo!',
        //            cancel: 'Cancelar',
        //        },
        //        text: "",
        //    })
        //   .then((action) => {
        //       if (action != null) {
        //           fDelete(LookbookId);
        //       }
        //   });
        //}

    </script>
}

